"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var PropertyMetadata_1 = require("./PropertyMetadata");
var SkipMetadata = (function (_super) {
    __extends(SkipMetadata, _super);
    function SkipMetadata(target, key, options) {
        _super.call(this, target, key);
        this._options = options;
    }
    Object.defineProperty(SkipMetadata.prototype, "options", {
        get: function () {
            return this._options;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SkipMetadata.prototype, "isConstructorToPlain", {
        get: function () {
            return !this._options || (this._options && this._options.constructorToPlain);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SkipMetadata.prototype, "isPlainToConstructor", {
        get: function () {
            return !this._options || (this._options && this._options.plainToConstructor);
        },
        enumerable: true,
        configurable: true
    });
    return SkipMetadata;
}(PropertyMetadata_1.PropertyMetadata));
exports.SkipMetadata = SkipMetadata;
