"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
/**
 * Caused when @Type decorator is missing on the class property.
 */
var TypeMissingError = (function (_super) {
    __extends(TypeMissingError, _super);
    function TypeMissingError(cls, key) {
        _super.call(this);
        this.name = "TypeMissingError";
        this.message = "To perform transformation you need to provide a type for the property\nusing @Type decorator, however " + cls.name + "." + key + " does not have a type provided.";
    }
    return TypeMissingError;
}(Error));
exports.TypeMissingError = TypeMissingError;
