import { ConstructorUtils, ConstructorFunction, PlainToConstructorOptions, ConstructorToPlainOptions } from "./ConstructorUtils";
export * from "./ConstructorUtils";
export * from "./decorators";
declare const constructorUtils: ConstructorUtils;
export default constructorUtils;
export declare function constructorToPlain<T>(object: T, options?: ConstructorToPlainOptions): any;
export declare function plainToConstructorFromObject<T>(cls: T, json: Object, options?: PlainToConstructorOptions): T;
export declare function plainToConstructor<T>(cls: ConstructorFunction<T>, json: Object, options?: PlainToConstructorOptions): T;
export declare function plainToConstructorArray<T>(cls: ConstructorFunction<T>, json: Object[], options?: PlainToConstructorOptions): T[];
